Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed.util
Class DelegatingMessageListenerSupport

    java.lang.Object
      org.jboss.messaging.core.distributed.util.DelegatingMessageListenerSupport

All Implemented Interfaces:
  DelegatingMessageListener

Direct Known Subclasses:
  AcknowledgmentCollector.CollectorMessageListener, ReplicatorOutput.MessageListenerImpl

public abstract class DelegatingMessageListenerSupport
extends java.lang.Object
implements DelegatingMessageListener

Version:
  `$Revision: 1.1 $`
Author:
  Ovidiu Feodorov

Field Summary
`protected MessageListener` | `delegate`

Constructor Summary
`DelegatingMessageListenerSupport(MessageListener delegate)`

Method Summary
`MessageListener` | `getDelegate()`
`boolean` | `remove(MessageListener listener)` Removes the given listener from this instance's delegate chain.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delegate

    protected MessageListener delegate

Constructor Detail

### DelegatingMessageListenerSupport

    public DelegatingMessageListenerSupport(MessageListener delegate)

Method Detail

### getDelegate

    public MessageListener getDelegate()

  Specified by:
    `getDelegate` in interface `DelegatingMessageListener`

### remove

    public boolean remove(MessageListener listener)

  Description copied from interface: `DelegatingMessageListener`
  Removes the given listener from this instance's delegate chain.

  Specified by:
    `remove` in interface `DelegatingMessageListener`
  Returns:
    true if the listener was found and removed, false if the listener was not found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.